.view-html-preview {
  z-index: 10050;

  .modal-dialog {
    --border: 1px solid #2e2929;
    width: auto !important;
    margin: 0;
    .modal-content {
      width: 950px;
      min-width: 950px;
      margin: 30px auto;

      background-color: #fff;
      border-radius: 0;
      font-family: var(--font-first);
      font-size: var(--font-xxxxl);
      font-weight: 600;
      line-height: normal;

      .modal-header {
        padding-top: 15px;
        padding-bottom: 15px;
        color: #333;
        font-family: var(--font-first);
         font-size: var(--font-xxxl);;
        font-weight: 600;
        border-bottom: 1px solid #dcdcdc;
        position: relative;

        button.close {
          display: block;
          opacity: 1;
          outline: none;
          position: absolute;
          right: 20px;
          top: 5px;

          span {
            font-size: 50px;
            font-weight: 300;
            color: #686868;
          }

        }
      }

      .modal-body {
        color: #222;
        font-family: var(--font-first);
        font-size: var(--font-s);
        font-weight: 500;
        display: table;
        margin: 0 auto;
        border: none;
        padding: 20px 0 10px 0;
        .preview-html-body {
          text-align: justify;
          width: 895px;
          overflow: hidden;
          .email-container {
            div:first-child {
              table {
                width: 100%;
                border-collapse: collapse;
                table-layout: fixed;
                overflow: hidden;
                white-space: nowrap;
                .td-q { 
                  border: 1px solid black;
                  padding: 2px 5px;
                  height: 25px;
                  vertical-align: top;
                  white-space: pre-wrap;
                }
              }
            }
            img {
              max-width: 100%;
            }
          }
          .email-container, footer {
            .ql-container {
              border: none !important;
              .ql-editor {
                padding: 0;
                display: flex;
                flex-direction: column;
              }
            } 
          }
        }
      }
    }
  }
}
